Page MenuHomePhabricator

Task and project management with Wikimedia Phabricator (a Wikimania Hackathon session)
Closed, ResolvedPublic

Description

Wikimania Hackathon
Thursday, August 10 at 10am
Drummond East (Level 3)

Phabricator is a collaboration platform open to all Wikimedia and MediaWiki contributors. We focus on bug reporting and software projects. Non-technical initiatives are welcome as well.

In this session at the Wikimania-Hackathon-2017, we will cover the basic use of Phabricator, a task and project management tool used by hundreds of Wikimedia projects. The agenda may be flexible based on the participants' interest. Roughly:

  • How to find and follow the activity that interests you.
  • How to contribute questions and feedback.
  • How file bug reports and feature requests.
  • How to claim a task and keep it up to date.
  • A glimpse to project management in Phabricator.

See also

Event Timeline

Qgil created this task.Jul 14 2017, 2:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 14 2017, 2:10 PM
Qgil moved this task from Backlog to Skill Share on the Wikimania-Hackathon-2017 board.
Qgil updated the task description. (Show Details)

@Qgil: Thanks! I usually use https://commons.wikimedia.org/wiki/File:Introduction-to-Phabricator-WikiCon-2016.pdf for this to not get side-tracked.
If you want to edit / alter the slides, I've sent you an invitation to the Google Doc.

greg added a subscriber: greg.Jul 24 2017, 9:07 PM
Qgil added a subscriber: Bmueller.Aug 4 2017, 10:17 AM

Thank you for these slides! I have also volunteered for an equivalent session at Learning Days, also in the Wikimania preconference days.

I was wondering whether @Bmueller would like to co-run these sessions, or one of them? This is only a kind invitation. If you are busy already I can run with it in solo mode. :)

Qgil raised the priority of this task from Low to High.Aug 4 2017, 10:19 AM

Hey @Qgil thanks for the nice invitation ;) - I guess I'm already busy, so not this time :-( - but if you have questions on Andre's and my slides, please let me know (I hope the presentation is self-explinatory though ;).

Qgil updated the task description. (Show Details)Aug 7 2017, 7:10 AM
Qgil closed this task as Resolved.Aug 11 2017, 5:15 PM

Workshop delivered. There was a low participation, but representing diverse types of Phabricator users. There were several questions, I replied a couple of them with actual demos, one of which went live accidentally (and was reverted). :)

The slides were perfect. Thank you!

While a Phabricator intro might still make sense for the Wikimedia Hackathon, maybe in the context of Wikimania it is better to propose it as a session for the main program.